Subject: bug#36904: closed (Re: bug#36904: 12.1.1; document class completion reports error if beamer is chosen)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 12 Aug 2019 18:44:02 +0000

Your bug report

#36904: 12.1.1; document class completion reports error if beamer is chosen

which was filed against the auctex package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
36904: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=36904
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#36904: 12.1.1; document class completion reports error if beamer is chosen
From: Arash Esbati <[email-masked]>
To: jfbu <[email-masked]>
Cc: [email-masked]
Date: Mon, 12 Aug 2019 20:42:56 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

jfbu <[email-masked]> writes:

> Sorry for noise but I see in dev repo
>
> $ git log -1 c92251cb
> hence I suppose mine is a duplicate of bug#35649.

Hi Jean-François,

yes, this one is already fixed, therefore I'm closing your report.

> A remark: correct me if I am wrong but the dev repo (git savannah)
> url = https://git.savannah.gnu.org/git/auctex.git
>
> has not tags for ELPA releases like 12.1.1 or 12.1.2 ?
>
> This makes it hard to see which commits made it into 12.1.2?
> Or am I missing something obvious?

ELPA releases are kept in a different repo:

    http://git.savannah.gnu.org/cgit/emacs/elpa.git?h=externals%2Fauctex

This is the respective web page:

    https://elpa.gnu.org/packages/auctex.html

Best, Arash

Subject: 12.1.1; document class completion reports error if beamer is chosen
From: jfbu <[email-masked]>
To: [email-masked]
Date: Sat, 3 Aug 2019 14:34:47 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Steps to reproduce:

1. Find a new empty file in new buffer

2. C-c C-e and choose document

3. Then enter beamer in the mini-buffer as document class

An error is raised with message

Symbol’s value as variable is void: LaTeX-hyperref-package-options-list

I don't seem to have any reference to this variable in my configuration files,

My 12.1.1 has some patches from dev repo but possibly not all.

Sorry if this error does not show on genuine install but I don't have any time
to investigate.

Best,

Jean-François